cURL
curl --request PATCH \
--url https://api.comm.com/api/management/voice/provider-accounts/{account} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_url": "<string>",
"api_key": "<string>",
"username": "<string>",
"concurrency_limit": 2,
"is_active": true
}
'import requests
url = "https://api.comm.com/api/management/voice/provider-accounts/{account}"
payload = {
"api_url": "<string>",
"api_key": "<string>",
"username": "<string>",
"concurrency_limit": 2,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_url: '<string>',
api_key: '<string>',
username: '<string>',
concurrency_limit: 2,
is_active: true
})
};
fetch('https://api.comm.com/api/management/voice/provider-accounts/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"meta": [
"<unknown>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"concurrency_limit": 123,
"is_personal": true,
"numbers_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Number
Patch managementvoiceprovider accounts
PATCH
/
management
/
voice
/
provider-accounts
/
{account}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The account ID
Body
application/json
Response
VoiceProviderResource
Show child attributes
Show child attributes
⌘I